--organization-id is confusing as it requires the organization name and not its id
Pull request:    

Description

Playing with the gpg subcommand I noticed that organization-id, which is a required argument, doesn't take the organization ID value

but the organization name, which is definitely bound to cause confusion. Can we change that to either use the ID (the best solution

imho) or rename it to organization-name?

[root@qetello03 katello-deploy]# hammer organization list

------------------------------------------------------------------------

ID | NAME             | LABEL            | DESCRIPTION

------------------------------------------------------------------------

1  | ACME_Corporation | ACME_Corporation | ACME_Corporation Organization

------------------------------------------------------------------------

[root@qetello03 katello-deploy]# hammer gpg list --organization-id 1

404 Resource Not Found

[root@qetello03 katello-deploy]# hammer gpg list --organization-id ACME_Corporation

No data.

History

#1 - 02/04/2014 08:58 PM - Mike McCune

+1 to just using the ID.  We are working on a consistent name vs ID set of arguments to all the hammer commands but for now this should definitely

use the ID like the argument states

#2 - 03/26/2014 01:24 PM - Ohad Levy

- Target version set to 1.9.0

#3 - 03/26/2014 01:32 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#4 - 04/01/2014 07:25 PM - Adam Price

- Project changed from Hammer CLI to Katello

- Category changed from 74 to Hammer

- Target version deleted (1.8.4)

#5 - 06/05/2014 03:27 AM - Eric Helms

- Triaged set to Yes

#6 - 08/18/2014 02:01 PM - Eric Helms

- Status changed from New to Resolved

#7 - 08/22/2014 07:50 AM - Eric Helms

- translation missing: en.field_release set to 13
